Bug 853091 - hdparm - Inconsistency between man page and help
hdparm - Inconsistency between man page and help
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: hdparm (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Minar
Filip Holec
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-30 09:32 EDT by Filip Holec
Modified: 2016-04-18 06:21 EDT (History)
1 user (show)

See Also:
Fixed In Version: hdparm-9.43-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-11 09:12:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
miminar: needinfo+


Attachments (Terms of Use)

  None (edit)
Description Filip Holec 2012-08-30 09:32:53 EDT
Description of problem:
In man option -V is missing (present in help).
In help, option --repair-sector and a lot of options from 'ATA Security Feature Set" are missing (present in man).

Version-Release number of selected component (if applicable):
hdparm-9.39-2.fc18.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Check man page
2. Check --help option
  
Actual results:
Inconsistent man page/help

Expected results:
Consistent man page/help

Additional info:
Comment 1 Michal Minar 2013-04-19 02:25:43 EDT
Hi Filip.
I added missing -V and --repair-sector flags. But not the ATA security ones. Help for them is available with:
  $ hdparm --security-help
(they are intentionally hidden)

Is that a satisfactory solution?
Comment 2 Filip Holec 2013-09-11 09:06:07 EDT
Hi Michal, I'm moving to ASSIGNED for verification.
Comment 3 Filip Holec 2013-09-11 09:10:01 EDT
Bug verified
Package version: hdparm-9.43-4.fc19.x86_64
Option -V is in man and --repair-sector is in help.
I think this solution is enough.

Note You need to log in before you can comment on or make changes to this bug.